textures/quadwell/decal_leaks_1
{
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/quadwell/decal_leaks_1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/fog_levelwide
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.682353 0.819608 0.976471 ) 64000
	q3map_nolightmap
}

textures/quadwell/lamp
{
	qer_editorimage textures/quadwell/lamp.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort banner
	q3map_surfacelight 10000
	{
		map textures/quadwell/lamp.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/quadwell/lamp_light.tga
		blendfunc add
		rgbGen const ( 0.996078 0.937255 0.811765 )
	}
}

textures/quadwell/lamp_decal
{
	qer_editorimage textures/quadwell/lamp.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort banner
	polygonoffset
	q3map_surfacelight 10000
	{
		map textures/quadwell/lamp.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/quadwell/lamp_light.tga
		blendfunc add
		rgbGen const ( 0.996078 0.937255 0.811765 )
	}
}

models/quadwell/bark_birch
{
	surfaceparm nonsolid
	q3map_shadeAngle 170
	{
		map models/quadwell/bark_birch.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/quadwell/branch_birch
{
	qer_editorimage models/quadwell/branch_birch.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map models/quadwell/branch_birch.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ceilinglight
{
	qer_editorimage textures/quadwell/jp_frame.tga
	q3map_lightimage textures/quadwell/jp_frame_light2.tga
	q3map_surfacelight 160
	q3map_backsplash 20 24
	{
		map textures/quadwell/jp_frame.tga
		rgbGen identity
	}
	{
		map textures/quadwell/jp_frame.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/quadwell/jp_frame_light2.tga
		blendfunc add
		rgbGen identity
	}
}

textures/quadwell/jumppad
{
	qer_editorimage textures/quadwell/jp_frame.tga
	q3map_lightimage textures/base_light/ceil1_37.tga
	q3map_surfacelight 100
	q3map_backsplash 20 24
	{
		map textures/quadwell/jp_frame.tga
		rgbGen identity
	}
	{
		map textures/quadwell/jp_frame_light.tga
		blendfunc add
		rgbGen wave sin 2 0 0 0.5 
	}
	{
		clampmap textures/quadwell/jp_fan.tga
		rgbGen identity
		tcMod transform 1.25 0 0 1.25 -0.125 -0.125
		tcMod rotate -200
		alphaFunc GE128
	}
	{
		map textures/quadwell/jp_frame.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/quadwell/clover1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quadwell/clover1.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/clover2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quadwell/clover2.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/clover3
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quadwell/clover3.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/clover4
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quadwell/clover4.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/grate_1
{
	qer_editorimage textures/base_support/x_support2.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	{
		map textures/base_support/x_support2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_top_1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_top_1.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_top_2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_top_2.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_top_3
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_top_3.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_bottom_1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_bottom_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_bottom_2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_bottom_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_bottom_3
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_bottom_3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/ivy_patch_bottom_4
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_shadeAngle 170
	{
		map textures/quadwell/ivy_patch_bottom_4.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quadwell/landscape
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quadwell/landscape.tga
		rgbGen identity
		alphaFunc GE128
	}
}

textures/quadwell/quadbase
{
	qer_editorimage textures/quadwell/jp_frame.tga
	{
		map textures/quadwell/jp_frame.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/quadwell/jp_frame_light.tga
		blendfunc add
		rgbGen const ( 0 0.501961 1 )
	}
}

textures/quadwell/shingles1
{
	qer_editorimage textures/quadwell/shingles1.tga
	surfaceparm slick
	{
		map textures/quadwell/shingles1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/quadwell/skybox
{
	qer_editorimage env/quadwell_up.tga
	q3map_lightimage textures/quadwell/skycolor.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms env/quadwell 512 -
	q3map_sunExt 255 230 190 300 297 60 2 32
	q3map_lightmapFilterRadius 2 16
	q3map_skylight 200 16
}

textures/quadwell/water_flowing
{
	qer_editorimage textures/quadwell/water_1.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	deformVertexes wave 64 sin 0.5 1 0 1 
	tessSize 16
	q3map_globaltexture
	{
		map textures/quadwell/water_1.tga
		tcMod scroll -0.02 -0.15
	}
	{
		map textures/quadwell/water_1.tga
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcMod scroll 0.02 -0.15
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

models/quadwell/fern
{
	qer_editorimage models/quadwell/fern.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_shadeAngle 15
	q3map_lightmapMergable
	{
		map models/quadwell/fern.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/quadwell/teleporter
{
	qer_editorimage models/quadwell/teleporter.tga
	surfaceparm nolightmap
	{
		map models/quadwell/teleporter.tga
		rgbGen identitylighting
		//rgbGen identity
	}
}